package com.chaozhanggui.dao.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class TbPlussUserApp implements Serializable {
    private Integer id;
    private String loginname;

    private Integer userid;

    private String username;

    private String usertype;

    private Integer stafftype;

    private String logo;

    private Integer level;

    private Date createdt;

    private Date updatedt;

    private Double extendprofit;

    private Integer status;

    private Double fansprofit;

    private Double cashprofit;

    private Integer parentid;

    private Integer agentstaffid;

    private String invitenum;

    private Double trademoney;

    private String certreason;

    private Integer bankstatus;

    private String bankreason;

    private String merchantcode;

    private String merchantname;

    private Integer aisleswitch;

    private String token;

    private String isvoice;

    private String pidarr;

    private String isfixedrate;

    private String autoaudit;

    private String payecdemicswitch;

    private String isdirectseller;

    private String ismarket;

    private String isunionpay;

    private String rolecode;

    private String levelcode;

    private Integer sort;

    private String spreadflag;

    private String userno;

    private Integer typemark;

    private Integer areamark;

    private String evasionvoiceflag;

    private String membervoiceflag;

    private String jfshopkey;

    @TableField(exist = false)
    @ApiModelProperty(value = "企业类填写：营业执照名称，执照如无名称，可填“个体户XXX”（执照上姓名）；小微商户填“商户_XXX”（身份证姓名）仅传参需要 无需添加字段")
    private String licenseFullName;
    @TableField(exist = false)
    @ApiModelProperty(value = "")
    private List<TbPlussMerchantImage> merchantImagesList;
    @TableField(exist = false)
    @ApiModelProperty(value = "")
    private String registUrl;

    @ApiModelProperty(value = "")
    @TableField(exist = false)
    private String password;
    @ApiModelProperty(value = "")
    @TableField(exist = false)
    private Integer merchantStatus;
    @ApiModelProperty(value = "")
    @TableField(exist = false)
    private String merchantReason;
    /**
     * 商户信息
     */
    @TableField(exist = false)
    private TbPlussMerchantBaseInfo merchantBaseInfo;
    /**
     * 结算信息
     */
    @TableField(exist = false)
    private TbPlussMerchantBankCard merchantBankCard;

    /**
     * 银行卡信息
     */
    @TableField(exist = false)
    private TbPlussBankCard bankCard;

    /**
     * 证件信息
     */
    @TableField(exist = false)
    private TbPlussIdCard idCard;


    public TbPlussIdCard getIdCard() {
        return idCard;
    }

    public void setIdCard(TbPlussIdCard idCard) {
        this.idCard = idCard;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getThirdStatus() {
        return thirdStatus;
    }

    public void setThirdStatus(String thirdStatus) {
        this.thirdStatus = thirdStatus;
    }

    public String getStoreId2() {
        return storeId2;
    }

    public void setStoreId2(String storeId2) {
        this.storeId2 = storeId2;
    }

    public String getMcsStatus() {
        return mcsStatus;
    }

    public void setMcsStatus(String mcsStatus) {
        this.mcsStatus = mcsStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getPpStatus() {
        return ppStatus;
    }

    public void setPpStatus(String ppStatus) {
        this.ppStatus = ppStatus;
    }

    public String getPpThirdStatus() {
        return ppThirdStatus;
    }

    public void setPpThirdStatus(String ppThirdStatus) {
        this.ppThirdStatus = ppThirdStatus;
    }

    public String getPluginRemark() {
        return pluginRemark;
    }

    public void setPluginRemark(String pluginRemark) {
        this.pluginRemark = pluginRemark;
    }

    public String getPayPassword() {
        return payPassword;
    }

    public void setPayPassword(String payPassword) {
        this.payPassword = payPassword;
    }

    public String getPermissionBill() {
        return permissionBill;
    }

    public void setPermissionBill(String permissionBill) {
        this.permissionBill = permissionBill;
    }

    public String getFaceCert() {
        return faceCert;
    }

    public void setFaceCert(String faceCert) {
        this.faceCert = faceCert;
    }

    public String getFaceCompare() {
        return faceCompare;
    }

    public void setFaceCompare(String faceCompare) {
        this.faceCompare = faceCompare;
    }

    public String getLicenseFullName() {
        return licenseFullName;
    }

    public void setLicenseFullName(String licenseFullName) {
        this.licenseFullName = licenseFullName;
    }

    public List<TbPlussMerchantImage> getMerchantImagesList() {
        return merchantImagesList;
    }

    public void setMerchantImagesList(List<TbPlussMerchantImage> merchantImagesList) {
        this.merchantImagesList = merchantImagesList;
    }

    public String getRegistUrl() {
        return registUrl;
    }

    public void setRegistUrl(String registUrl) {
        this.registUrl = registUrl;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getMerchantStatus() {
        return merchantStatus;
    }

    public void setMerchantStatus(Integer merchantStatus) {
        this.merchantStatus = merchantStatus;
    }

    public String getMerchantReason() {
        return merchantReason;
    }

    public void setMerchantReason(String merchantReason) {
        this.merchantReason = merchantReason;
    }

    public String getMerchantType() {
        return merchantType;
    }

    public void setMerchantType(String merchantType) {
        this.merchantType = merchantType;
    }

    public String getBankCertName() {
        return bankCertName;
    }

    public void setBankCertName(String bankCertName) {
        this.bankCertName = bankCertName;
    }

    public List<String> getParentIdList() {
        return parentIdList;
    }

    public void setParentIdList(List<String> parentIdList) {
        this.parentIdList = parentIdList;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public Double getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(Double totalMoney) {
        this.totalMoney = totalMoney;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public BigDecimal getRate() {
        return rate;
    }

    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Long getMercId() {
        return mercId;
    }

    public void setMercId(Long mercId) {
        this.mercId = mercId;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getMerchantAuditStatus() {
        return merchantAuditStatus;
    }

    public void setMerchantAuditStatus(String merchantAuditStatus) {
        this.merchantAuditStatus = merchantAuditStatus;
    }

    public TbPlussMerchantBaseInfo getMerchantBaseInfo() {
        return merchantBaseInfo;
    }

    public void setMerchantBaseInfo(TbPlussMerchantBaseInfo merchantBaseInfo) {
        this.merchantBaseInfo = merchantBaseInfo;
    }

    public TbPlussMerchantBankCard getMerchantBankCard() {
        return merchantBankCard;
    }

    public void setMerchantBankCard(TbPlussMerchantBankCard merchantBankCard) {
        this.merchantBankCard = merchantBankCard;
    }

    public TbPlussBankCard getBankCard() {
        return bankCard;
    }

    public void setBankCard(TbPlussBankCard bankCard) {
        this.bankCard = bankCard;
    }

    @TableField(exist = false)
    private String merchantType;
    @TableField(exist = false)
    private String bankCertName;

    @TableField(exist = false)
    private List<String> parentIdList;
    @TableField(exist = false)
    private String alias;
    @TableField(exist = false)
    private Double totalMoney;
    @TableField(exist = false)
    private String type;

    /**  费率，只有服务商推广的商户有这个字段 */
    @TableField(exist = false)
    private BigDecimal rate;
    //查询数据
    @TableField(exist = false)
    private Integer size;
    @TableField(exist = false)
    private Integer page;
    /** 商户id */
    @TableField(exist = false)
    private Long mercId;

    @TableField(exist = false)
    private String merchantId;

    /** 当前渠道下商户的进件状态 */
    @TableField(exist = false)
    private String merchantAuditStatus;

    @TableField(exist = false)
    private Date startDate;

    @TableField(exist = false)
    private Date endDate;

    @TableField(exist = false)
    private String thirdStatus;

    @TableField(exist = false)
    private String storeId2;

    @TableField(exist = false)
    private String mcsStatus;
    @TableField(exist = false)
    private String remark;
    @TableField(exist = false)
    private String updateTime;
    @TableField(exist = false)
    private String ppStatus;
    @TableField(exist = false)
    private String ppThirdStatus;
    @TableField(exist = false)
    private String pluginRemark;

    @TableField(exist = false)
    private String payPassword;

    @TableField(exist = false)
    private String permissionBill;

    @TableField(exist = false)
    private String faceCert;

    @TableField(exist = false)
    private String faceCompare;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLoginname() {
        return loginname;
    }

    public void setLoginname(String loginname) {
        this.loginname = loginname == null ? null : loginname.trim();
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getUsertype() {
        return usertype;
    }

    public void setUsertype(String usertype) {
        this.usertype = usertype == null ? null : usertype.trim();
    }

    public Integer getStafftype() {
        return stafftype;
    }

    public void setStafftype(Integer stafftype) {
        this.stafftype = stafftype;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo == null ? null : logo.trim();
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getUpdatedt() {
        return updatedt;
    }

    public void setUpdatedt(Date updatedt) {
        this.updatedt = updatedt;
    }

    public Double getExtendprofit() {
        return extendprofit;
    }

    public void setExtendprofit(Double extendprofit) {
        this.extendprofit = extendprofit;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getFansprofit() {
        return fansprofit;
    }

    public void setFansprofit(Double fansprofit) {
        this.fansprofit = fansprofit;
    }

    public Double getCashprofit() {
        return cashprofit;
    }

    public void setCashprofit(Double cashprofit) {
        this.cashprofit = cashprofit;
    }

    public Integer getParentid() {
        return parentid;
    }

    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    public Integer getAgentstaffid() {
        return agentstaffid;
    }

    public void setAgentstaffid(Integer agentstaffid) {
        this.agentstaffid = agentstaffid;
    }

    public String getInvitenum() {
        return invitenum;
    }

    public void setInvitenum(String invitenum) {
        this.invitenum = invitenum == null ? null : invitenum.trim();
    }

    public Double getTrademoney() {
        return trademoney;
    }

    public void setTrademoney(Double trademoney) {
        this.trademoney = trademoney;
    }

    public String getCertreason() {
        return certreason;
    }

    public void setCertreason(String certreason) {
        this.certreason = certreason == null ? null : certreason.trim();
    }

    public Integer getBankstatus() {
        return bankstatus;
    }

    public void setBankstatus(Integer bankstatus) {
        this.bankstatus = bankstatus;
    }

    public String getBankreason() {
        return bankreason;
    }

    public void setBankreason(String bankreason) {
        this.bankreason = bankreason == null ? null : bankreason.trim();
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public Integer getAisleswitch() {
        return aisleswitch;
    }

    public void setAisleswitch(Integer aisleswitch) {
        this.aisleswitch = aisleswitch;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token == null ? null : token.trim();
    }

    public String getIsvoice() {
        return isvoice;
    }

    public void setIsvoice(String isvoice) {
        this.isvoice = isvoice == null ? null : isvoice.trim();
    }

    public String getPidarr() {
        return pidarr;
    }

    public void setPidarr(String pidarr) {
        this.pidarr = pidarr == null ? null : pidarr.trim();
    }

    public String getIsfixedrate() {
        return isfixedrate;
    }

    public void setIsfixedrate(String isfixedrate) {
        this.isfixedrate = isfixedrate == null ? null : isfixedrate.trim();
    }

    public String getAutoaudit() {
        return autoaudit;
    }

    public void setAutoaudit(String autoaudit) {
        this.autoaudit = autoaudit == null ? null : autoaudit.trim();
    }

    public String getPayecdemicswitch() {
        return payecdemicswitch;
    }

    public void setPayecdemicswitch(String payecdemicswitch) {
        this.payecdemicswitch = payecdemicswitch == null ? null : payecdemicswitch.trim();
    }

    public String getIsdirectseller() {
        return isdirectseller;
    }

    public void setIsdirectseller(String isdirectseller) {
        this.isdirectseller = isdirectseller == null ? null : isdirectseller.trim();
    }

    public String getIsmarket() {
        return ismarket;
    }

    public void setIsmarket(String ismarket) {
        this.ismarket = ismarket == null ? null : ismarket.trim();
    }

    public String getIsunionpay() {
        return isunionpay;
    }

    public void setIsunionpay(String isunionpay) {
        this.isunionpay = isunionpay == null ? null : isunionpay.trim();
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public String getLevelcode() {
        return levelcode;
    }

    public void setLevelcode(String levelcode) {
        this.levelcode = levelcode == null ? null : levelcode.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getSpreadflag() {
        return spreadflag;
    }

    public void setSpreadflag(String spreadflag) {
        this.spreadflag = spreadflag == null ? null : spreadflag.trim();
    }

    public String getUserno() {
        return userno;
    }

    public void setUserno(String userno) {
        this.userno = userno == null ? null : userno.trim();
    }

    public Integer getTypemark() {
        return typemark;
    }

    public void setTypemark(Integer typemark) {
        this.typemark = typemark;
    }

    public Integer getAreamark() {
        return areamark;
    }

    public void setAreamark(Integer areamark) {
        this.areamark = areamark;
    }

    public String getEvasionvoiceflag() {
        return evasionvoiceflag;
    }

    public void setEvasionvoiceflag(String evasionvoiceflag) {
        this.evasionvoiceflag = evasionvoiceflag == null ? null : evasionvoiceflag.trim();
    }

    public String getMembervoiceflag() {
        return membervoiceflag;
    }

    public void setMembervoiceflag(String membervoiceflag) {
        this.membervoiceflag = membervoiceflag == null ? null : membervoiceflag.trim();
    }

    public String getJfshopkey() {
        return jfshopkey;
    }

    public void setJfshopkey(String jfshopkey) {
        this.jfshopkey = jfshopkey == null ? null : jfshopkey.trim();
    }
}